package com.common.tool;

import java.lang.reflect.Field;

public class EqTool {
    public static boolean compareObjects(Object obj1, Object obj2) {
        Class<?> clazz = obj1.getClass(); // 获取类信息
        Field[] fields = clazz.getDeclaredFields(); // 获取所有字段
        for (Field field : fields) {
            field.setAccessible(true); // 设置为可访问
            if (!field.equals(obj2)) { // 判断字段值是否相等
                return false;
            }
        }
        return true;
    }
}
