package com.indicator;

import com.indicator.init.CustomInitializer;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;


@EnableDiscoveryClient
@SpringBootApplication
public class Run {
    public static void main(String[] args) {
        SpringApplication application = new SpringApplication(Run.class);
        application.addInitializers(new CustomInitializer());
        application.run();
    }
}
