package com.indicator.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.common.entity.base.Base;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@TableName(value = "p_indicator")
public class Indicator extends Base {
    @TableField("dynamic_table")
    @ApiModelProperty(value = "动态表名称(128)",required = true)
    private String dynamicTable;
    @TableField("dynamic_column")
    @ApiModelProperty(value = "动态表字段英文名称(128)")
    private String dynamicColumn;
    @TableField("indicator_dic_id")
    @ApiModelProperty(value = "指标类型(32)")
    private Integer indicatorDicId;
    //理论上这个字段应该是字典表
    @TableField("scene_id")
    @ApiModelProperty(value = "关联技能(32)")
    private Integer sceneId;
    @TableField("app_dic_p_id")
    @ApiModelProperty(value = "关联应用模块(32)")
    private Integer appDicPId;
    @TableField("app_dic_c_id")
    @ApiModelProperty(value = "关联功能(32)")
    private Integer appDicCId;
    @TableField("search_table")
    @ApiModelProperty(value = "关联表名称(255)")
    private String searchTable;
    @TableField("search_column")
    @ApiModelProperty(value = "关联表字段名称(255)")
    private String searchColumn;
    @TableField("indicator_code")
    @ApiModelProperty(value = "代码值(32)")
    private String indicatorCode;
}
