package com.indicator.info;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class Search {
    @ApiModelProperty(value = "字段内容，前后端可以为空")
    private String value;
    @ApiModelProperty(value = "当前页码，（小于等于1） = 1， 页码从1开始,2为第2页",required = true)
    private Integer currentPage;
    @ApiModelProperty(value = "每页返回行数（每页展示最大多少行）",required = true)
    private Integer pageSize;
}
