package com.indicator.vo;

import com.baomidou.mybatisplus.annotation.TableField;
import com.indicator.entity.Indicator;
import com.indicator.entity.Label;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


@Data
public class IndicatorVo extends Indicator {
    @TableField(exist=false)
    @ApiModelProperty(value = "关联技能中文名称")
    private String sceneCn;
    @TableField(exist=false)
    @ApiModelProperty(value = "指标类型中文名称")
    private String indicatorDicCn;
    @TableField(exist=false)
    @ApiModelProperty(value = "关联应用模块中文")
    private String appDicPCn;
    @TableField(exist=false)
    @ApiModelProperty(value = "关联功能中文")
    private String appDicCCn;
    @TableField(exist=false)
    @ApiModelProperty(value = "标签名称(128)",required = true)
    private List<Label> lableList;
}
