package com.test.run;

import com.test.other.ClientController;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@Slf4j
@RestController
@RequestMapping("/test")
public class TestController {
    @Resource
    private ClientController client;

    @ApiOperation(value = "查询指标动态表")
    @GetMapping("/getTables")
    public String getIndicatorTables() {
        log.info("---"+client.getIndicatorTables());
//        System.out.println("xxx");
        return client.getIndicatorTables().toString();
    }


}
