package com.indicator.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.common.entity.base.Base;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
@TableName(value = "p_indicator_label")
public class Label extends Base {
    @TableField("table_name")
    @ApiModelProperty(value = "表名称(128)",required = true)
    private String tableName;
    @TableField("label_name")
    @ApiModelProperty(value = "标签名称(128)",required = true)
    private String labelName;
    @TableField("label_level")
    @ApiModelProperty(value = "标签等级(32)")
    private Integer labelLevel;
    @TableField("parent_id")
    @ApiModelProperty(value = "父级ID(32)")
    private Integer parentId;
    @TableField("column_name")
    @ApiModelProperty(value = "字段名称(128)")
    private String columnName;
}
