package com.indicator.info;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class Join {
    @ApiModelProperty(value = "字段内容，前后端可以为空")
    private String columnValue;
    @ApiModelProperty(value = "表名称，前端可以为空")
    private String tableName;
    @ApiModelProperty(value = "实体表过滤字段列表，前端可以为空")
    private String[] columnNames;
    @ApiModelProperty(value = "重命名列表，前端可以为空")
    private String[] renameDic;
    @ApiModelProperty(value = "（字典过滤条件）字典字段列表，前端可以为空")
    private String[] columnDic;
    @ApiModelProperty(value = "合并键值对集合（表名-关联列名），前端可以为空")
    private String[] leftJoinDic;
    @ApiModelProperty(value = "时间过滤字段，默认为create_time，不为空的时候覆盖create_time，前端可以为空")
    private String timeName;
    @ApiModelProperty(value = "开始时间，时间格式为 ：yyyy-MM-dd HH:mm:ss，前端可以为空")
    private String startTime;
    @ApiModelProperty(value = "结束时间，时间格式为 ：yyyy-MM-dd HH:mm:ss，前端可以为空")
    private String endTime;
    @ApiModelProperty(value = "排序字段，默认为create_time，前端可以为空")
    private String orderBy;
    @ApiModelProperty(value = "排序类型，默认为desc，备注（desc：降序  asc:升序），前端可以为空")
    private String descOrAsc;
}
