package com.indicator;

import com.alibaba.fastjson2.JSONArray;
import com.alibaba.fastjson2.JSONException;
import com.alibaba.fastjson2.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;

import java.util.*;


@Slf4j
public class TmpTest {

    private String getStr(){
        if(true) throw new RuntimeException("测试");
        return "123";
    }

    @Test
    public void test03(){
        System.out.println("xxx"+getStr());
    }

    @Test
    public void test02(){
        Map<String,String> map1 = new LinkedHashMap<>();
        map1.put("1","a");
        Map<String,String> map2 = new LinkedHashMap<>();
        map2.put("1","a");
        Map<String,String> map3 = new LinkedHashMap<>();
        map3.put("2","b");
        System.out.println(map1);
    }


    /**
     * 要知道这个答案，就涉及到Java缓冲区和堆的问题。
     * java中Integer类型对于-128-127之间的数是缓冲区取的，所以用等号比较是一致的。但对于不在这区间的数字是在堆中new出来的。所以地址空间不一样，也就不相等。
     */
    @Test
    public void test01(){
        Integer a1 = Integer.valueOf(60);  //danielinbiti
        Integer b1 = 60;
        System.out.println("1:="+(a1 == b1));


        Integer a2 = 60;
        Integer b2 = 60;
        System.out.println("2:="+(a2 == b2));


        Integer a3 = new Integer(60);
        Integer b3 = 60;
        System.out.println("3:="+(a3 == b3));

        Integer a4 = 129;
        Integer b4 = 129;
        System.out.println("4:="+(a4 == b4));
        System.out.println(a4.equals(b4));
        System.out.println(a4==129);

        System.out.println(129 == 129);


    }

}
